> For the complete documentation index, see [llms.txt](https://docs.drivequant.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.drivequant.com/enterprise/monitoring/get-a-push-trip-data-report.md).

# Get a push trip data report

This service provides the number of successful and failed push requests over the last 24 hours, for all the teams belonging to your organisation.

These statistics only account for trips that have been recorded by the DriveKit SDK, sent to the DriveQuant analysis platform and processed.

By default, the report covers the last 24 hours. However, you can specify a `startDate` to generate the report for a more precise timeframe. If the `startDate` is more than 24h ago, it will be disregarded. For simplicity, the response includes both the `endDate` (date of the request) and the `startDate` (up to 24h before the startDate).

The date corresponds to the date the trip data are processed on the DriveQuant analysis platform.

{% hint style="info" %}
If you have your **enterprise API key**, you can try the API via this [**link**](https://drivequant.stoplight.io/docs/drivequant-public/dbaa249abf060-get-the-push-trip-metrics)**.**
{% endhint %}

{% openapi src="/files/QrSUgdcQKHBox7TTfgGW" path="/push/trips/metrics" method="get" %}
[Enterprise.yaml](https://2525923625-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LXYIG5U3AO65YYFWJRK%2Fuploads%2FTTiLeuGg8U59w9k5PwxD%2FEnterprise.yaml?alt=media\&token=068f1889-59e6-4bc6-8b74-7a985dfce3cb)
{% endopenapi %}

### Response

The table below summarizes the response parameters.

<table><thead><tr><th width="186">Name</th><th width="135">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>status</code></td><td><code>string</code></td><td>Current status of the push service<br><em>Allowed values: <code>ACTIVE</code>, <code>ON_HOLD</code>, <code>INACTIVE</code></em></td></tr><tr><td><code>startDate</code></td><td><code>string</code></td><td>Start date of the report<br><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></td></tr><tr><td><code>endDate</code></td><td><code>string</code></td><td>End date of the report (i.e., date of the request)<br><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></td></tr><tr><td><code>failed</code></td><td><code>integer</code></td><td>Number of failed push requests</td></tr><tr><td><code>pushed</code></td><td><code>integer</code></td><td>Number of successful push requests</td></tr><tr><td><code>onHold</code></td><td><code>integer</code></td><td>Number of push requests on-hold (if the push service was paused)</td></tr><tr><td><code>total</code></td><td><code>integer</code></td><td>Total number of push requests</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.drivequant.com/enterprise/monitoring/get-a-push-trip-data-report.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
